var svgNamespaceURI = "http://www.w3.org/2000/svg";
var xlink_ns = "http://www.w3.org/1999/xlink"

function create_use(evt)
{
	new_node = evt.target.ownerDocument.createElementNS(svgNamespaceURI,"use")
	new_node.setAttributeNS(null,"x","110")
	new_node.setAttributeNS(null,"y","425")
	new_node.setAttributeNS(xlink_ns,"xlink:href","#MyGroup")
	evt.target.parentNode.appendChild(new_node)
}

function append_child(evt)
{
	new_node = evt.target.ownerDocument.getElementById("p").cloneNode(true)
	evt.target.ownerDocument.getElementById("MyGroup").appendChild(new_node)
}

function replace_child(evt)
{
	new_node = evt.target.ownerDocument.getElementById("p").cloneNode(true)
	child_replaced = evt.target.ownerDocument.getElementById("c")
	evt.target.ownerDocument.getElementById("MyGroup").replaceChild(new_node,child_replaced)
}

function insert_child(evt)
{
	new_node = evt.target.ownerDocument.getElementById("p").cloneNode(true)
	child_replaced = evt.target.ownerDocument.getElementById("c")
	evt.target.ownerDocument.getElementById("MyGroup").insertBefore(new_node,child_replaced)
}

function clone_group(evt)
{
	new_node = evt.target.ownerDocument.getElementById("MyGroup").cloneNode(true)
	evt.target.ownerDocument.getElementById("clone").appendChild(new_node)
}

function remove_child(evt)
{
	new_node = evt.target.ownerDocument.getElementById("p")
	if (new_node)
	evt.target.ownerDocument.getElementById("MyGroup").removeChild(new_node)
}

function create_child(evt)
{
	new_node = evt.target.ownerDocument.createElementNS(svgNamespaceURI,"path")
	new_node.setAttributeNS(null,"d","M-90 0L0 -75L90 0L0 75z")
	new_node.setAttributeNS(null,"style","fill:yellow")
	child_replaced = evt.target.ownerDocument.getElementById("c")
	evt.target.ownerDocument.getElementById("MyGroup").insertBefore(new_node,child_replaced)
}

function create_text(evt)
{
	new_node = evt.target.ownerDocument.createElementNS(svgNamespaceURI,"text")
	new_node.setAttributeNS(null,"text-anchor","middle")
	new_node.setAttributeNS(null,"font-size","30")
	new_node.setAttributeNS(null,"x","0")
	new_node.setAttributeNS(null,"y","0")
	text_content = evt.target.ownerDocument.createTextNode("Hello!")	
	new_node.appendChild(text_content)
	evt.target.ownerDocument.getElementById("MyGroup").appendChild(new_node)
}

function create_text2(evt)
{
	new_node = evt.target.ownerDocument.createElementNS(svgNamespaceURI,"text")
	new_attribute = evt.target.ownerDocument.createAttributeNS(null,"text-anchor")
	new_attribute.value = "middle"
	new_node.attributes.setNamedItemNS(new_attribute)
	new_attribute = evt.target.ownerDocument.createAttributeNS(null,"font-size")
	new_attribute.value = "30"
	new_node.attributes.setNamedItemNS(new_attribute)
	text_content = evt.target.ownerDocument.createTextNode("Hello!")	
	new_node.appendChild(text_content)
	evt.target.ownerDocument.getElementById("MyGroup").appendChild(new_node)
}

function append_comment(evt)
{
	new_node = evt.target.ownerDocument.createComment("This group is used to show how add childs to group")
	child_before = evt.target.ownerDocument.getElementById("MyGroup").firstChild
	evt.target.ownerDocument.getElementById("MyGroup").insertBefore(new_node,child_before)
	alert(printNode(evt.target.ownerDocument.getElementById("MyGroup")))
}

function append_cdata(evt)
{
	new_node = evt.target.ownerDocument.createCDATASection("// We can put here code for script node")
	child_before = evt.target.ownerDocument.getElementById("MyGroup").firstChild
	evt.target.ownerDocument.getElementById("MyGroup").insertBefore(new_node,child_before)
	alert(printNode(evt.target.ownerDocument.getElementById("MyGroup")))
}

function append_svg(evt)
{
	new_frag = evt.target.ownerDocument.createDocumentFragment
	new_svg = evt.target.ownerDocument.createElementNS(svgNamespaceURI,"svg")
	new_svg.setAttributeNS(null,"x","250")
	new_svg.setAttributeNS(null,"y","350")
	new_svg.setAttributeNS(null,"width","300")
	new_svg.setAttributeNS(null,"height","150")
	new_svg.setAttributeNS(null,"viewBox","-90 -75 180 150")
	new_svg.setAttributeNS(null,"preserveAspectRatio","none")
	new_svg_content = evt.target.ownerDocument.getElementById("MyGroup").cloneNode(true)
	new_svg.appendChild(new_svg_content)
	new_frag.appendChild(new_svg)
	evt.target.ownerDocument.getElementById("MySVG").appendChild(new_frag)
}

function know_entity(evt)
{
	new_style = evt.target.ownerDocument.createEntityReference("rect")
	evt.target.ownerDocument.getElementById("r").setAttributeNS(null, "style" , "&rect;")
	alert(new_style.data)
}

function add_event(evt)
{
	evt.target.ownerDocument.getElementById("MyGroup").addEventListener("click",test_event,false)
}

function remove_event(evt)
{
	evt.target.ownerDocument.getElementById("MyGroup").removeEventListener("click",test_event,false)
}

function test_event(evt)
{
	alert("You click on a " + evt.target.nodeName)
}

function parse_xml(evt)
{
	str = "<path d='M-90 0L0 -75L90 0L0 75z' fill='yellow' xmlns='http://www.w3.org/2000/svg'/>"
	new_node = parseXML(str,evt.target.ownerDocument)
	child_replaced = evt.target.ownerDocument.getElementById("c")
	evt.target.ownerDocument.getElementById("MyGroup").insertBefore(new_node,child_replaced)
}

function get_url(evt)
{
	getURL("code/test.svg",callback)
}

function callback(data)
{
	if (data.success)
	{
		new_node = parseXML(data.content,svgdoc)
		svgdoc.getElementById("MyGroup").appendChild(new_node)
	}
}

function see_file()
{
 	str ="<g>\n<rect x='-90' y='-75' width='180' height='150' fill='lightblue'/>\n"
	str += "<path d='M-90 0L0 -75L90 0L0 75z' fill='yellow'/>\n"
	str += "<circle cx='0' cy='0' r='60' fill='orange'/>\n"
	str += "<ellipse cx='0' cy='0' rx='20' ry='40' fill='red'/>\n"
	str += "</g>"
	alert(str)
}

function get_data()
{
	getDataFile("code/data.txt",callback_data)
}

function callback_data(data)
{
	if (data.success)
	{
		values = data.content
		make_chart(values)
	}
}

function make_chart(values)
{
	var valeurs = values.split("\n")
	svgdoc.getElementById("title").firstChild.data = valeurs[0]
	var colors = valeurs[1].split(";")
	var datas = valeurs[2].split(";")
	var labels = valeurs[3].split(";")
	for (var i = 0 ; i < 5 ; i ++)
	{
		svgdoc.getElementById("label" + i.toString()).firstChild.data = labels[i]
		svgdoc.getElementById("bar" + i.toString()).setAttribute("height" , datas[i])
		svgdoc.getElementById("bar" + i.toString()).setAttribute("y" , 400 - datas[i])
		svgdoc.getElementById("bar" + i.toString()).setAttribute("fill" , colors[i])
	}
	svgdoc.getElementById("MyGroup").setAttribute("visibility","visible")
}

function see_file1()
{
 	str ="Chart for data.txt\n"
	str += "green;yellow;red;blue;pink\n"
	str += "25;50;60;45;30\n"
	str += "March;April;May;June;July\n"
	alert(str)
}

function get_fragment()
{
	getSVGObject("code/test.svg",add_group)
}

function add_group(doc_frag)
{
	svgdoc.getElementById("MyGroup").appendChild(doc_frag)
}
